Anonymous Login
2019-10-18 04:35 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001413v3.1 ReleaseTaskspublic2014-01-25 00:26
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0001413: CTask::moveTaskBetweenProjects has bug on dependent tasks
Descriptionif top Level parent with children is moved, all is ok.

if a single child is moved, its parent relationship and/or dependencies are not cleared
So in the new Project, it is shown indented and a dependency is set.
If a single child is moved, that should just end as top Level single Task, as we cannot decide where it would go.

related to id 1402, as I thought this function would solve 1402, but it introduces some other Errors.

Klaus
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003094

opto (manager)

I think we Need to do the following as well:

dependencies: check whether they are adapted to new Project:

dependencies among children moved at same time should persist
dependencies to the old Project? Wud the algorithm work on that?
If not, they should be deleted

the first note is foxed in my git commit and pull rquest, the second is not.

Klaus

~0003099

caseydk (administrator)

Resolved for the v3.1 release.
Patch available here: https://github.com/web2project/web2project/pull/239

~0003209

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2013-11-27 00:00 opto New Issue
2013-11-27 21:17 caseydk Project v3.0 Release => v3.2 Release
2013-11-27 21:19 caseydk Project v3.2 Release => v3.1 Release
2013-11-28 03:56 opto Note Added: 0003094
2013-11-28 18:49 caseydk Note Added: 0003099
2013-11-28 18:49 caseydk Status new => resolved
2013-11-28 18:49 caseydk Resolution open => fixed
2013-11-28 18:49 caseydk Assigned To => caseydk
2014-01-21 17:41 caseydk Note Added: 0003209
2014-01-21 17:41 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:26 caseydk Category General => Tasks
+Issue History